<?xml version='1.0'?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:param name="APP_NAME">
		app-name goes here
	</xsl:param>
	<xsl:param name="doc_32">
		app-name goes here
	</xsl:param>
	<xsl:param name="eclipse_icon_large">
		app-name goes here
	</xsl:param>
	<xsl:param name="project_new_icon_large">
		app-name goes here
	</xsl:param>
	<xsl:param name="java_icon_small">
		app-name goes here
	</xsl:param>
	<xsl:param name="mail_32">
		app-name goes here
	</xsl:param>
	<xsl:param name="maven_icon_large">
		app-name goes here
	</xsl:param>
	<xsl:param name="phone_32">
		app-name goes here
	</xsl:param>
	<xsl:param name="rope_backdrop">
		app-name goes here
	</xsl:param>
	<xsl:param name="rss_32">
		app-name goes here
	</xsl:param>
	<xsl:param name="brand_logo">
		app-name goes here
	</xsl:param>
	<xsl:param name="tweet_32">
		app-name goes here
	</xsl:param>
	<xsl:param name="video_62">
		app-name goes here
	</xsl:param>
	<xsl:param name="recent_list_icon_16X16">
		app-name goes here
	</xsl:param>
	<xsl:param name="folder_open_32">
		folder open icon
	</xsl:param>

	<xsl:template match="/">
		<html>
			<head>

				<title>Welcome to Structure101</title>
				<!-- No css here. In webview css should be added programatically. -->
			</head>

			<body
				style="background-image:url({$rope_backdrop}); background-repeat: no-repeat;">
				<div id="container">
					<div class="greenbar"></div>

					<div id="lhs">
						<a href="fx_http://structure101.com">
							<img id="logo" alt="" src="{$brand_logo}" />
						</a>
						<h2>New project</h2>
						<ul id="new-project">
							<li>
								<a
									href="command_project_new_static_classpath__Locate bytecode from a specified list of folders, jars, ears or wars.">
									<img src="{$project_new_icon_large}" alt="a classpath" />
								</a>
							</li>
							<li>
								<a
									href="command_project_new_eclipse_workspace__Search for Eclipse .classpath project files.">
									<img src="{$eclipse_icon_large}" alt="an Eclipse workspace" />
								</a>
							</li>
							<li>
								<a
									href="command_project_new_maven__Find bytecode using a Maven pom.xml file">
									<img src="{$maven_icon_large}" alt="a Maven POM" />
								</a>
							</li>
						</ul>
						<h2>Open project</h2>
						<a href="command_project_open">
							<img src="{$folder_open_32}" align="top" />
							Open...
						</a>
						<xsl:choose>
							<xsl:when test="/projects/project">
								<h2>Recent Projects</h2>
								<div id="recents">
									<ul id="project-list">
										<xsl:for-each select="/projects/project">
											<li class="ellipsis"
												style="background-image:url('{$recent_list_icon_16X16}') no-repeat;">
												<xsl:variable name="href">
													<xsl:value-of select="a" />
												</xsl:variable>
												<a class="tooltip" title="{$href}" href="recent_{$href}">
													<img src="{$recent_list_icon_16X16}" alt="" />
													<xsl:value-of select="a/@name" />
												</a>
											</li>
										</xsl:for-each>
									</ul>
								</div>
							</xsl:when>
							<xsl:otherwise></xsl:otherwise>
						</xsl:choose>

						<div id="copyright">
							<p>&#169; 2013 Headway Software Technologies Ltd</p>
						</div>

					</div>

					<div id="rhs">
						<div id="top-panel">
							<div id="help-box">
								<h2>Need help?</h2>
								<ul style="list-style:none;">
									<li>
										<a href="mailto:support@structure101.com">
											<img src="{$mail_32}" alt="" class="list-icon" />
											support@structure101.com
										</a>
									</li>
									<li>
										<img src="{$phone_32}" alt="" class="list-icon" />
										USA:+1 877 432-3929 
									</li>
									<li>
										<img src="{$phone_32}" alt="" class="list-icon" />
										Rest of world: +33 9 74 76 07 41
									</li>
								</ul>
							</div>
							<div id="keepup">
								<h2>Keep up to date</h2>
								<ul style="list-style:none;">
									<li>
										<a href="fx_https://twitter.com/structure101">
											<img src="{$tweet_32}" alt="" class="list-icon" />
											Follow us on
											Twitter
										</a>
									</li>
									<li>
										<a href="fx_http://structure101.com/blog/">
											<img src="{$rss_32}" alt="" class="list-icon" />
											Subscribe to our
											blog
										</a>
									</li>
									<li>
										<xsl:variable name="href">
											<xsl:value-of select="/projects/release-notes/url" />
										</xsl:variable>
										<a href="fx_{$href}">
											<img src="{$doc_32}" alt="" class="list-icon" />
											Product release notes
										</a>
									</li>
								</ul>
							</div>
						</div>
						<div id="video-box">
							<h2>
								<a href="fx_http://structure101.com/videos">
									<img src="{$video_62}" alt="" />
									Videos
								</a>
							</h2>
							<p>
								<a href="fx_http://structure101.com/videos">
									Visit the video resources
									section of our website and learn how
									to
									get the most from
									<xsl:value-of select="$APP_NAME" />
								</a>
							</p>
						</div>
					</div>
				</div>
			</body>
		</html>
	</xsl:template>

</xsl:stylesheet>
<!-- Stylus Studio meta-information - (c) 2004-2005. Progress Software Corporation. 
	All rights reserved. <metaInformation> <scenarios/><MapperMetaTag><MapperInfo 
	srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" 
	destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter 
	side="source"></MapperFilter></MapperMetaTag> </metaInformation> -->


